org.apache.cassandra.locator

## Class EndpointSnitchInfo

- java.lang.Object
- - org.apache.cassandra.locator.EndpointSnitchInfo

All Implemented Interfaces:
  EndpointSnitchInfoMBean

    public class EndpointSnitchInfo
    extends java.lang.Object
    implements EndpointSnitchInfoMBean

### Constructor Summary

Constructors
Constructor and Description
`EndpointSnitchInfo()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `create()`
`java.lang.String` `getDatacenter()` Provides the Datacenter name depending on the respective snitch used for this node
`java.lang.String` `getDatacenter(java.lang.String host)` Provides the Datacenter name depending on the respective snitch used, given the hostname/ip
`java.lang.String` `getRack()` Provides the Rack name depending on the respective snitch used for this node
`java.lang.String` `getRack(java.lang.String host)` Provides the Rack name depending on the respective snitch used, given the host name/ip
`java.lang.String` `getSnitchName()` Provides the snitch name of the cluster

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EndpointSnitchInfo

    public EndpointSnitchInfo()

### Method Detail

#### create

    public static void create()

#### getDatacenter

    public java.lang.String getDatacenter(java.lang.String host)
                                   throws java.net.UnknownHostException

Description copied from interface: `EndpointSnitchInfoMBean`
Provides the Datacenter name depending on the respective snitch used, given the hostname/ip

Specified by:
  `getDatacenter` in interface `EndpointSnitchInfoMBean`
Throws:
  `java.net.UnknownHostException`

#### getRack

    public java.lang.String getRack(java.lang.String host)
                             throws java.net.UnknownHostException

Description copied from interface: `EndpointSnitchInfoMBean`
Provides the Rack name depending on the respective snitch used, given the host name/ip

Specified by:
  `getRack` in interface `EndpointSnitchInfoMBean`
Throws:
  `java.net.UnknownHostException`

#### getDatacenter

    public java.lang.String getDatacenter()

Description copied from interface: `EndpointSnitchInfoMBean`
Provides the Datacenter name depending on the respective snitch used for this node

Specified by:
  `getDatacenter` in interface `EndpointSnitchInfoMBean`

#### getRack

    public java.lang.String getRack()

Description copied from interface: `EndpointSnitchInfoMBean`
Provides the Rack name depending on the respective snitch used for this node

Specified by:
  `getRack` in interface `EndpointSnitchInfoMBean`

#### getSnitchName

    public java.lang.String getSnitchName()

Description copied from interface: `EndpointSnitchInfoMBean`
Provides the snitch name of the cluster

Specified by:
  `getSnitchName` in interface `EndpointSnitchInfoMBean`
Returns:
  Snitch name